<?php
/**
 * Gateway Settings Form Fields.
 */
if (!defined('ABSPATH')) {
    exit;
}

return array(
    'enabled' => array(
        'title' => __('Enable/Disable', 'woocommerce'),
        'type' => 'checkbox',
        'label' => __('Enable gateway', 'woocommerce-cyclegateway'),
        'default' => 'yes',
        'desc_tip' => true,
    ),
    'title' => array(
        'title' => __('Title', 'woocommerce'),
        'type' => 'text',
        'description' => __('This controls the title which the user sees during checkout.', 'woocommerce'),
        'default' => __('Cryptocurrency', 'woocommerce-cyclegateway'),
        'desc_tip' => true,
    ),
    'description' => array(
        'title' => __('Description', 'woocommerce'),
        'type' => 'text',
        'description' => __('This controls the description which the user sees during checkout.', 'woocommerce'),
        'default' => __('Pay with BTC, ETH and more via Cycle Online', 'woocommerce-cyclegateway'),
        'desc_tip' => true,
    ),

    'agent_email' => array(
        'title' => __('Agent E-mail', 'woocommerce-cyclegateway'),
        'type' => 'text',
        'description' => __('Agent E-mail', 'woocommerce-cyclegateway'),
        'default' => "",
        'desc_tip' => true,
    ),
    'secret_key' => array(
        'title' => __('Secret Key', 'woocommerce-cyclegateway'),
        'type' => 'text',
        'description' => __('Secret Key', 'woocommerce-cyclegateway'),
        'default' => "",
        'desc_tip' => true,
    ),
    'server_secret_key' => array(
        'title' => __('Server Secret Key', 'woocommerce-cyclegateway'),
        'type' => 'text',
        'description' => __('Server Secret Key', 'woocommerce-cyclegateway'),
        'default' => "",
        'desc_tip' => true,
    ),
    'redirect_uri' => array(
        'title' => __('Redirect URL (Optional)', 'woocommerce-cyclegateway'),
        'type' => 'text',
        'description' => __('Redirect URL (Optional). If not specified - order detail page will be substituted', 'woocommerce-cyclegateway'),
        'default' => "",
        'desc_tip' => true,
    ),
    'confirm_on_paid' => array(
        'title' => __('Accept found but unconfirmed transactions (unsafe, but faster for the payer)', 'woocommerce-cyclegateway'),
        'type' => 'checkbox',
        'description' => __('Cyclebit assumes no responsibility for the safety of such payments until the transaction is confirmed in the blockchain. Turn this on at your own risk.', 'woocommerce-cyclegateway'),
        'default' => 'no',
        'desc_tip' => true,
    ),

);
